For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETList Members
      • POSTCreate Invite
      • DELRemove Member
      • PATCHUpdate Member Role
      • DELRevoke Invite
      • PATCHUpdate Invite Role
      • POSTAccept Invite
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referenceworkspace-members

Create Invite

POST
/api/v1/workspaces/:ws_id/invites
POST
/api/v1/workspaces/:ws_id/invites
$curl -X POST https://api.onepin.ai/api/v1/workspaces/ws_id/invites \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "email": "jane.doe@example.com",
> "role": "admin"
>}'
1{
2 "data": {
3 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "email": "jane.doe@example.com",
5 "role": "admin",
6 "status": "pending",
7 "expires_at": "2024-01-15T09:30:00Z",
8 "invited_by": "1c9d4f8e-2b7a-4f3a-9d2e-5f6a7b8c9d0e",
9 "created_at": "2024-01-15T09:30:00Z"
10 },
11 "meta": {
12 "request_id": "7b9f8e6d-4c3a-11ec-81d3-0242ac130003",
13 "timestamp": "2024-01-15T09:30:00Z"
14 }
15}

Invite a user to the workspace via email.

POD-301: gated by seats plan limit on the workspace owner’s plan. Active members + pending invites both count against the cap.

Was this page helpful?
Previous

Remove Member

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token

Path parameters

ws_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
emailstringRequiredformat: "email"
roleenumRequired
Allowed values:

Response

Successful Response
dataobject
metaobject

Errors

422
Unprocessable Entity Error